#include<cstdio>
using namespace std;
long long int n;
long long int m;
int c=0;
int main(){
    scanf("%lld", &n);
    for(int i=0;n>0;i++){
        m=n/10;
        n-=m*10;
        if(n>4){
            n-=5;c++;
        }
        if(n>3){
            n-=4; c+=2;
        }
        if(n>1){
            n-=2; c++;
        }
        if(n==1) c++;
        n=m;
    }
    printf("%d", c);
    return 0;
}